Subject: Ticket Assigned - Invoices
From: Splash <[email-masked]>
To: [email-masked]
Date: Fri, 04 Feb 2022 23:52:49 +0000

Hi Mayar nasser mahmoud,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Invoices Hi Team splash

My name is Hakimuddin, Dear can you send the invoices which are issued
under my mobile number 0502030497 as this number is always used for shukran
rewards purpose
As im searching for a coat which I purchased back in 2018 or  prabably 2019
I know it will be a tough work but if u guys can help me with this cause I
need that jacket again so will search by the same model number or brand in
that invoice as I just remember the price
Im in India right now, if u want to contact me my number is +917427865024

Regards
Hakimuddin dalotwala

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3834709